<div class="table" *ngFor="let item of data">
  <div
    class="table__color"
    [ngStyle]="{ 'background-color': item.categoryCode }"
  ></div>
  <div class="table__date">
    <p class="text text__thin text__thin--grey">
      {{ item.dates.valueDate | date }}
    </p>
  </div>
  <div class="table__logo">
    <img
      [src]="'../../../../assets/icons/' + item.merchant.name + '.png'"
      alt="logo"
      class="logo"
    />
  </div>
  <div class="table__text">
    <div>
      <p class="text text__medium">{{ item.merchant.name }}</p>
    </div>
    <div>
      <p class="text">{{ item.transaction.type }}</p>
    </div>
  </div>
  <div class="table__amount">
    <h3 class="h3">
      - {{ item.transaction.amountCurrency.amount | currency }}
    </h3>
  </div>
</div>
